import 'package:args/args.dart';
import 'package:widgetbook_git/widgetbook_git.dart';

import './ci_parser.dart';

class CiParserRunner {
  CiParserRunner({
    required this.argResults,
    required this.gitDir,
    CiWrapper? ciWrapper,
  }) : _ciWrapper = ciWrapper ?? CiWrapper();

  final ArgResults argResults;
  final GitDir gitDir;

  final CiWrapper _ciWrapper;

  CiParser? getParser() {
    if (!_ciWrapper.isCI()) {
      return LocalParser(
        argResults: argResults,
        gitDir: gitDir,
      );
    }

    if (_ciWrapper.isGitLab()) {
      return GitLabParser(argResults: argResults);
    }
    if (_ciWrapper.isGithub()) {
      return GitHubParser(argResults: argResults);
    }
    if (_ciWrapper.isAzure()) {
      return AzureParser(argResults: argResults);
    }
    if (_ciWrapper.isBitBucket()) {
      return BitbucketParser(argResults: argResults);
    }

    return null;
  }
}
