import 'package:args/args.dart';
import 'package:test/test.dart';

import '../../bin/ci_parser/ci_parser.dart';
import '../mocks/command_mocks.dart';

const repositoryName = 'widgetbook';
const actorName = 'John Doe';

void main() {
  late AzureParser sut;
  late ArgResults argResults;

  setUp(() async {
    argResults = MockArgResults();

    sut = AzureParser(
      argResults: argResults,
    );
  });

  group('$AzureParser', () {
    test(
      'can accept $ArgResults',
      () async {
        expect(sut.argResults, isA<MockArgResults>());
      },
    );

    test(
      'returns a vendor',
      () async {
        expect(sut.vendor, equals('Azure'));
      },
    );

    test(
      'can get a repository',
      () async {
        final repository = await sut.getRepository();
        expect(repository, equals(repositoryName));
      },
      skip: 'looking for a better way to set platform environment variables',
    );
    test(
      'can get an actor',
      () async {
        final actor = await sut.getActor();
        expect(actor, equals(actorName));
      },
      skip: 'looking for a better way to set platform environment variables',
    );
  });
}
